/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/gui/frame.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/graphics/graphics.hpp"
#include "sgx/gui/gui.hpp"

sgxGUIFrameParams::sgxGUIFrameParams(const tUINT32 w, const tUINT32 h) {
	m_Width = w; 
	m_Height = h;
}

sgxGUIFrame::sgxGUIFrame(const tINT32 x, const tINT32 y, const sgxGUIFrameParams &params) :
	sgxWidget(x,y, CGUIDesignScreen::widgetFrame), 
	m_SetupParams(params)
{
}

tBOOL sgxGUIFrame::draw(CSGXDrawSurface *pSurface, const tINT32 offsetX, const tINT32 offsetY) const {
	return sgxWidget::draw(pSurface, offsetX+m_X, offsetY+m_Y);
}

